package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;

@Service
public interface PortletBusiness {
	
    List<Map<String,Object>> list_portlet_template_by_user(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_template(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_columns(Map<String, Object> query) throws BusinessException ;
    
    void saveLayout(String columnsId,List<Map<String, Object>> list) throws BusinessException ;
}
